Refresh access and refresh tokens
GET
/authentication/refresh
const url = 'https://api.tradecloud1.com/v2/authentication/refresh';const options = {method: 'GET', headers: {'Refresh-Token': '<Refresh-Token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.tradecloud1.com/v2/authentication/refresh \ --header 'Refresh-Token: <Refresh-Token>'Send the refresh token to get new access and refresh tokens. Do NOT send an access token.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successfully refreshed, use the new tokens provided in the headers.
Headers
Section titled “Headers”Set-Authorization
string
Access token
Set-Refresh-Token
string
Refresh token
Bad request, the user should check the response body for more info.
Not authenticated, the user should authenticate using the refresh token.
Service is not healthy (internal error), Tradecloud ops will be alerted.
Service is not healthy (bad gateway), Tradecloud ops will be alerted.
Service is unavailable (overloaded or down for maintenance), Tradecloud ops will be alerted.
Service is unavailable (gateway timeout), Tradecloud ops will be alerted.
